ACN::SDT::sessions_data Struct Reference

4.4.9 Sessions More...

`#include <sdt.h>`

Inheritance diagram for ACN::SDT::sessions_data:
[legend]

## Public Member Functions

size_t | streamSize () const override
| sessions_data::streamSize More...
void | iStream (PDU::Stream) override
| sessions_data::iStream More...
void | oStream (PDU::Stream) const override
| sessions_data::oStream More...

## Public Attributes

std::vector< channel_info_block > | list
| list of channel info blocks

## Detailed Description

4.4.9 Sessions

## Member Function Documentation

## iStream()

void ACN::SDT::sessions_data::iStream | ( | PDU::Stream | stream | ) |

overridevirtual

sessions_data::iStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## oStream()

void ACN::SDT::sessions_data::oStream | ( | PDU::Stream | stream | ) | const

overridevirtual

sessions_data::oStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## streamSize()

size_t ACN::SDT::sessions_data::streamSize | ( |  | ) | const

overridevirtual

sessions_data::streamSize

Returns

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/sdt.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/sdt.cpp